Index: /trunk/src/org/expeditee/agents/mail/MailSession.java
===================================================================
--- /trunk/src/org/expeditee/agents/mail/MailSession.java	(revision 1101)
+++ /trunk/src/org/expeditee/agents/mail/MailSession.java	(revision 1102)
@@ -19,6 +19,4 @@
 package org.expeditee.agents.mail;
 
-import java.awt.Color;
-import java.awt.Point;
 import java.io.BufferedReader;
 import java.io.InputStream;
@@ -48,10 +46,12 @@
 import javax.mail.internet.MimeMessage;
 
+import org.expeditee.core.Colour;
+import org.expeditee.core.Point;
+import org.expeditee.gio.DragAndDropManager;
 import org.expeditee.gui.AttributeValuePair;
+import org.expeditee.gui.DisplayController;
 import org.expeditee.gui.Frame;
 import org.expeditee.gui.FrameCreator;
-import org.expeditee.gui.FrameGraphics;
 import org.expeditee.gui.MessageBay;
-import org.expeditee.importer.FrameDNDTransferHandler;
 import org.expeditee.items.Text;
 
@@ -208,5 +208,5 @@
 						try {
 							MessageBay.displayMessage("New mail message!",
-									null, Color.green, true, "getMailByID "
+									null, Colour.GREEN, true, "getMailByID "
 											+ _folder.getMessageCount());
 							/*
@@ -247,5 +247,5 @@
 
 				MessageBay.displayMessage("Mail connection complete",
-						Color.GREEN);
+						Colour.GREEN);
 
 				displayUnreadMailCount();
@@ -262,5 +262,5 @@
 		int unreadCount = getUnreadCount();
 		Text text = new Text(-1, unreadCount + UNREAD_MESSAGE
-				+ (unreadCount == 1 ? "" : "s"), Color.BLUE, null);
+				+ (unreadCount == 1 ? "" : "s"), Colour.BLUE, null);
 		if (unreadCount > 0)
 			text.addAction("getUnreadMail " + unreadCount);
@@ -517,6 +517,5 @@
 			final Frame frame, final Point point) {
 
-		final Text source = FrameDNDTransferHandler.importString(
-				"Reading message " + messageNo + "...", point);
+		final Text source = DragAndDropManager.importString("Reading message " + messageNo + "...", point);
 
 		new Thread() {
@@ -598,5 +597,5 @@
 					frames.save();
 					source.setLink(frames.getName());
-					FrameGraphics.requestRefresh(true);
+					DisplayController.requestRefresh(true);
 				} catch (MessageRemovedException mre) {
 					source.setText("Message removed from inbox");
Index: /trunk/src/org/expeditee/gui/AttributeUtils.java
===================================================================
--- /trunk/src/org/expeditee/gui/AttributeUtils.java	(revision 1101)
+++ /trunk/src/org/expeditee/gui/AttributeUtils.java	(revision 1102)
@@ -19,7 +19,4 @@
 package org.expeditee.gui;
 
-import java.awt.Color;
-import java.awt.Font;
-import java.awt.Point;
 import java.lang.reflect.InvocationTargetException;
 import java.lang.reflect.Method;
@@ -28,4 +25,7 @@
 import java.util.List;
 
+import org.expeditee.core.Colour;
+import org.expeditee.core.Font;
+import org.expeditee.core.Point;
 import org.expeditee.io.Conversion;
 import org.expeditee.items.DotType;
@@ -33,5 +33,4 @@
 import org.expeditee.items.Justification;
 import org.expeditee.items.PermissionPair;
-import org.expeditee.items.Picture;
 import org.expeditee.items.Text;
 import org.expeditee.simple.IncorrectTypeException;
@@ -137,5 +136,6 @@
 			Class<?>[] pFloat = { float.class };
 			Class<?>[] pFloatO = { Float.class };
-			Class<?>[] pColor = { Color.class };
+			Class<?>[] pDouble = {double.class };
+			Class<?>[] pColor = { Colour.class };
 			Class<?>[] pBool = { boolean.class };
 			//Class[] pDouble = { double.class };
@@ -214,11 +214,11 @@
 			                                    Item.class.getMethod("setBorderColor", pColor));
 			_Attrib.put("AnchorLeft",           Item.class.getMethod("getAnchorLeft"),
-			                                    Item.class.getMethod("setAnchorLeft", pFloatO));
+			                                    Item.class.getMethod("setAnchorLeft", pIntO));
 			_Attrib.put("AnchorRight",          Item.class.getMethod("getAnchorRight"),
-			                                    Item.class.getMethod("setAnchorRight", pFloatO));
+			                                    Item.class.getMethod("setAnchorRight", pIntO));
 			_Attrib.put("AnchorTop",            Item.class.getMethod("getAnchorTop"),
-			                                    Item.class.getMethod("setAnchorTop", pFloatO));
+			                                    Item.class.getMethod("setAnchorTop", pIntO));
 			_Attrib.put("AnchorBottom",         Item.class.getMethod("getAnchorBottom"),
-			                                    Item.class.getMethod("setAnchorBottom", pFloatO));
+			                                    Item.class.getMethod("setAnchorBottom", pIntO));
 			_Attrib.put("Position",             Item.class.getMethod("getPosition"),
 			                                    Item.class.getMethod("setPosition", pPoint));
@@ -248,5 +248,5 @@
 			                                    Item.class.getMethod("setGradientColor", pColor));
 			_Attrib.put("GradientAngle",        Item.class.getMethod("getGradientAngle"),
-			                                    Item.class.getMethod("setGradientAngle", pInt));
+			                                    Item.class.getMethod("setGradientAngle", pDouble));
 			_Attrib.put("FillPattern",          Item.class.getMethod("getFillPattern"),
 			                                    Item.class.getMethod("setFillPattern", pString));
@@ -417,5 +417,5 @@
 
 		// create the text Item
-		Frame current = DisplayIO.getCurrentFrame();
+		Frame current = DisplayController.getCurrentFrame();
 		Item attribs = current.getStatsTextItem(attributes.toString());
 		return attribs;
@@ -486,7 +486,7 @@
 			if (((Double) o) < 0.0001)
 				return null;
-		} else if (o instanceof Color) {
+		} else if (o instanceof Colour) {
 			// converts the color to the Expeditee code
-			o = Conversion.getExpediteeColorCode((Color) o);
+			o = Conversion.getExpediteeColorCode((Colour) o);
 			if (o == null)
 				return null;
@@ -497,5 +497,5 @@
 			Font f = (Font) o;
 
-			String s = f.getName() + "-";
+			String s = f.getFamilyName() + "-";
 			if (f.isPlain())
 				s += "Plain";
